| FlatBuffers An open source project by FPL.

Public Member Functions | List of all members
com.google.flatbuffers.BooleanVector Class Reference

Helper type for accessing vector of booleans. More...

Inheritance diagram for com.google.flatbuffers.BooleanVector:

## Detailed Description

Helper type for accessing vector of booleans.

## Public Member Functions
BooleanVector | __assign (int _vector, ByteBuffer _bb)
| Assigns vector access object to vector data. More...
boolean | get (int j)
| Reads the boolean at the given index. More...

## Member Function Documentation

## ◆ __assign()

BooleanVector com.google.flatbuffers.BooleanVector.__assign | ( | int | _vector,
|  | ByteBuffer | _bb
| ) |  |
| inline

Assigns vector access object to vector data.

Parameters

  _vector | Start data of a vector.
  _bb | Table's ByteBuffer.

Returns
  Returns current vector access object assigned to vector data whose offset is stored at `vector`.

## ◆ get()

boolean com.google.flatbuffers.BooleanVector.get | ( | int | j | ) |
| inline

Reads the boolean at the given index.

Parameters

  j | The index from which the boolean will be read.

Returns
  the boolean value at the given index.

The documentation for this class was generated from the following file:

- BooleanVector.java